dan200.computercraft.api.permissions

## Interface ITurtlePermissionProvider

    public interface ITurtlePermissionProvider

This interface is used to restrict where turtles can move or build

See Also:
  `ComputerCraftAPI.registerPermissionProvider(ITurtlePermissionProvider)`

### Method Summary

Methods
`boolean` `isBlockEditable(World world, int x, int y, int z)`
`boolean` `isBlockEnterable(World world, int x, int y, int z)`

### Method Detail

#### isBlockEnterable

    boolean isBlockEnterable(World world,
                           int x,
                           int y,
                           int z)

#### isBlockEditable

    boolean isBlockEditable(World world,
                          int x,
                          int y,
                          int z)